#lang racket/base

(require "main.rkt")

(actor-system
 (lambda (turn)
   (define disarm (facet-prevent-inert-check! (turn-active-facet turn)))
   (define r1 (turn-ref turn (entity #:message (lambda (turn m)
                                                 (log-info "r1 got ~v" m)
                                                 (turn-stop! turn)))))
   (define r2 (turn-ref turn (entity #:message (lambda (turn m) (log-info "r2 got ~v" m)))))
   (turn-spawn! turn (lambda (turn)
                       (log-info "Hi!")
                       (turn-message! turn r1 'hello-there-r1)
                       (turn-message! turn r2 'hello-there-r2)))))
